Bug 838999 - Change Filtering Options to a Dialog
Change Filtering Options to a Dialog
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.9
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Alex Wood
Entitlement Bugs
:
Depends On:
Blocks: 771748
  Show dependency treegraph
 
Reported: 2012-07-10 11:20 EDT by Sharath Dwaral
Modified: 2015-03-22 21:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-01 16:11:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Change in message even before update is clicked (54.09 KB, image/png)
2012-07-10 11:20 EDT, Sharath Dwaral
no flags Details

  None (edit)
Description Sharath Dwaral 2012-07-10 11:20:40 EDT
Created attachment 597376 [details]
Change in message even before update is clicked

Description of problem: In the new design, as soon as the filter icon is clicked, the message on "All Subscription Available" tab changes even when nothing is changed in filter options pop up


V# rpm -qa | egrep "subscription-manager|python-rhsm"
subscription-manager-firstboot-1.0.8-1.git.33.4e44fc1.el5
subscription-manager-1.0.8-1.git.33.4e44fc1.el5
subscription-manager-gui-1.0.8-1.git.33.4e44fc1.el5
subscription-manager-migration-data-1.11.2.2-1.git.0.2eea155.el5
subscription-manager-migration-1.0.8-1.git.33.4e44fc1.el5
python-rhsm-1.0.3-1.git.0.583d26c.el5
ersion-Release number of selected component (if applicable):



How reproducible:
Always

Steps to Reproduce:
1. Resgister subscription-manager 
2. Click on All Available Subscription Tab
3. Click on Filters 
  
Actual results:
Message on "All Available Subscriptions" tab changes to "No Subscriptions match current filters" even when either nothing is changed in filters or update is clicked.

Expected results:
Should remain "Press update to search for subscriptions." untill update is clicked

Additional info:
Comment 1 Sharath Dwaral 2012-07-10 11:22:38 EDT
Version-Release number of selected component (if applicable):

# rpm -qa | egrep "subscription-manager|python-rhsm"
subscription-manager-firstboot-1.0.8-1.git.33.4e44fc1.el5
subscription-manager-1.0.8-1.git.33.4e44fc1.el5
subscription-manager-gui-1.0.8-1.git.33.4e44fc1.el5
subscription-manager-migration-data-1.11.2.2-1.git.0.2eea155.el5
subscription-manager-migration-1.0.8-1.git.33.4e44fc1.el5
python-rhsm-1.0.3-1.git.0.583d26c.el5
Comment 2 RHEL Product and Program Management 2012-07-10 11:37:23 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.

Note You need to log in before you can comment on or make changes to this bug.